.gray-body
{
	background-color:#eee;
}

.dashboard-header-container
{
	border-bottom:2px solid #eee;
	overflow:hidden;
	background-color:white;	
}

.dashboard-header-logo
{
	height:2em;
}

.dashboard-header
{
	padding-top:25px;
	padding-bottom:25px;

	.user-information
	{
		float:right;
		display:inline;
		color:#aaa;

		.profile-picture
		{
			border:2px solid #aaa;
			display:inline;
			height:2em !important;
			width:2em !important;
			border-radius:50%;
		}

		.username
		{
			font-weight:bold;
		}
	}
}

.right-aligned-user
{
	float:right;
}

#notifications-button
{
	cursor:pointer;
}

.notifications-icon
{
	color:#aaa;
	padding-top:8px;
	margin-right:30px;
	font-size:1.2em;

	.new
	{
		background-color:$accent-color;
		width:13px; height:13px;
		border-radius:50%;
		border:2px solid white;
		transform:translateX(9px) translateY(-19px)
	}
}

.dashboard-tabs
{
	padding-top:25px;
	padding-bottom:25px;
	background-color:white;
	text-align:center;

	.dashboard-tab
	{	
		display:inline;
		font-weight:bold;
		margin-left:15px;
		color:#999;
		padding:10px 15px;
		margin-right:15px;
		transition: all 500ms;
		
		.fa
		{
			margin-right:10px;
		}
	}

	.dashboard-tab.active
	{
		color:$accent-color !important;
	}
}

.dashboard-section
{
	.section-title
	{
		font-weight:bold;
		font-size:25px;
		color:#666;
		margin-bottom:25px;
	}
}

.dashboard-content
{
	padding-top:50px;
	padding-bottom:50px;
}

.election-add-card
{
	padding:13px 15px;
	overflow:hidden;
	border:2px #888 dashed;
	text-align:center;
	margin:.5rem 0 1rem 0;
	font-size:15px;
	height:75px;
	font-weight:bold;
	transition:all 250ms;
	color:#333 !important;
	display:block;

	.fa
	{
		margin-right:5px;
	}

	.content
	{
		position:relative;
		top:50%;
		transform:translateY(-50%);
	}
}

.election-add-card:hover
{
	background-color:rgba(0,0,0,0.1);
}

.vote-card
{
	height:100px;
	display:block;
	padding:13px 15px;
	color:#111 !important;

	.election-name
	{
		display:block;
		font-weight:bold;
	}

	.time-duration
	{
		margin-top:5px;
		display:block;
		font-size:13px;
	}

	.status
	{	
		font-weight:bold;
		padding:5px 10px;
		position:absolute;
		top:0;
		right:0;
	}

	.status.update
	{
		background-color:$accent-color;
		color:white;
	}

	.status.ended
	{
		background-color:red;
		color:white;
	}

}

.election-card
{
	display:block;
	padding:13px 15px;
	overflow:hidden;
	height:75px;
	color:#111 !important;

	.election-name
	{
		display:block;
		font-weight:bold;
	}

	.time-duration
	{
		display:block;
		font-size:13px;
	}

	.status
	{	
		font-weight:bold;
		padding:5px 10px;
		position:absolute;
		top:0;
		right:0;
	}

	.status.live
	{
		background-color:#2d2;
		color:white;
	}

	.status.draft
	{
		background-color:orange;
		color:white;
	}

	.status.ended
	{
		background-color:red;
		color:white;
	}
}

.collection
{
	.setting
	{
		font-weight:bold;
		font-size:13px;
		color:#444;
		display:block;
	}

	.setting-description
	{
		display:block;
		color:#777;
		font-weight:normal;
		font-size:12px;
	}

	td
	{
		padding: 0 !important;
	}
	
	.secondary-content
	{
		color:#666;
	}

	.collection-item
	{
		display:block;
	}
}


.setting-card
{
	padding:15px 20px;
	overflow:hidden;

	.colors
	{
		display:block;
		margin-top:10px;
		margin-bottom:10px;

		.color
		{
			display:inline;
			padding:5px 15px;
			border-radius:5px;
			margin-right:5px;
			transition:all 250ms;
			cursor:pointer;
		}

		.color:hover
		{
			opacity:0.7;
		}

		.color.selected
		{
			border:2px solid #888;
			background-clip:inherit;
		}
	}
}

form 
{
	.note
	{
		background-color:$accent-color;
		color:white;
		position:absolute;
		font-size:12px;
		top:0;
		left:0;
		width:100%;
		padding:10px 15px;
		margin-bottom:50px;
	}
}

.store-links
{
	display:inline;
}


.notifications.show
{
	opacity:1;
	pointer-events:all;
	box-shadow: 0 2px 100px 0 rgba(0,0,0,0.14), 0 1px 100px 0 rgba(0,0,0,0.12), 0 3px 100px -2px rgba(0,0,0,0.2);
	transform:translateX(0);
}

.notifications
{
	background-color:white;
	pointer-events:none;
	opacity:0;
	box-shadow:none;
	position:fixed;
	width:350px;
	height:100vh;
	top:0;
	z-index:10000;
	overflow-y:auto;
	right:0;
	transform:translateX(50px);
	transition:all 100ms;
	margin-top: 0 !important;
	
	.caught
	{
		text-align:center;
		margin-top:25px;
		top:50%;
		left:50%;
		position:absolute;
		transform:translateX(-50%) translateY(-50%);
	}

	.notification
	{
		padding:5px 10px;
		font-size:13px;

		transition: all 250ms;
	}

	.notification:hover
	{
		background-color:rgba(0,0,0,0.1)
	}

	.notification-icon
	{
		border-radius:50%;
		height:40px
	}

	.notification-text
	{
		color:#222;
		padding-left:15px;

		.notification-highlight
		{
			color:$accent-color;
		}
	}

	.notifications-clear-button
	{
		width:100%;
		background-color:white;
		font-size:13px;
		font-weight:bold;
		text-align:center;
		padding:15px;
		color:$accent-color;
		transition:all 250ms;
	}

	.notifications-clear-button:hover
	{
		background-color:$accent-color;
		color:white;
	}
}

#createModal
{
	textarea+label
	{
		padding-left:14px;
	}

	.input-field
	{
		padding-right:14px;
	}

	.row
	{
		margin-bottom:14px;
	}
}

.notice
{
	color:#999;
	font-size:12px;
	margin-left:14px;
}

.picker__date-display
{
	background-color:$accent-color;
}

.picker__close, .picker__today
{
	color:$accent-color;
}

.picker__day.picker__day--today {
    color: $accent-color;
}

.picker__day--selected, .picker__day--selected:hover, .picker--focused .picker__day--selected
{
	background-color:$accent-color;
	transition: all 500ms;
}

.picker__day
{
	transition: all 500ms;
}

.clockpicker-canvas-bearing
{
	fill:$accent-color;
}
.clockpicker-canvas-bg
{
	fill: $accent-color;
}

.clockpicker-canvas line
{
	stroke: $accent-color;
}

.clockpicker-tick.active, .clockpicker-tick:hover
{
	background-color: rgba(0,140,255,0.25);
}

